GIS - Added misc GIS tools: QGIS and SQLite

This commit is contained in:
thetechprepper
2025-04-26 05:41:22 -07:00
parent 91a94e60a1
commit 032b967f1d
5 changed files with 32 additions and 2 deletions
+15
View File
@@ -0,0 +1,15 @@
#!/bin/bash
#
# Author : Gaston Gonzalez
# Date : 26 April 2025
# Purpose : Installs misc GIS tools from apt
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
et-log "Installing GIS tools..."
apt install \
sqlite3 \
qgis \
-y
+1 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 25 April 2025
# Purpose : Installs Python 3
# Purpose : Installs Python 2
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
+2 -1
View File
@@ -2,7 +2,7 @@
#
# Author : Gaston Gonzalez
# Date : 16 March 2024
# Updated : 25 April 2025
# Updated : 26 April 2025
# Purpose : Main installer for EmComm Tools Community (ETC)
. ./env.sh
@@ -65,3 +65,4 @@ exitIfNotRoot
./install-mbtileserver.sh
./install-python.sh
./install-mbutil.sh
./install-gis-tools.sh